{
  pkgs,
  flake,
  ...
}:
let
  inherit (flake.config.aesthetics.themes)
    fonts
    ;
in
{
  fonts = {
    fontconfig = {
      enable = true;
      defaultFonts = {
        serif = [
          fonts.names.name0
        ];
        monospace = [
          fonts.names.name0
        ];
        sansSerif = [
          fonts.names.name0
        ];
        emoji = [
          "Noto Fonts Color Emoji"
        ];
      };
      antialias = true;
    };
    packages = builtins.attrValues {
      inherit (pkgs)
        noto-fonts-color-emoji
        dosis
        iosevka
        ;
      inherit (pkgs.nerd-fonts)
        monaspace
        fantasque-sans-mono
        ;
    };
  };
}
